List standalone VMs
import requests
url = "https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/vms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/vms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/vms \
--header 'Authorization: Bearer <token>'{
"vms": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"server_name": "<string>",
"instance_type": "<string>",
"location": "<string>",
"public_ip": true,
"state": "<string>",
"public_address": "<string>",
"private_address": "<string>",
"provider_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}HPE Morpheus Clusters
List standalone VMs
Lists the cluster’s standalone VMs (servers on the cluster network that are not Kubernetes nodes) with their instance type, location, state, addresses and provider ID. On HPE Morpheus the instance type is a service-plan ID from the plans catalog, sent as a string; anything that is not an integer is refused.
GET
/
api
/
v1
/
clusters
/
morpheus
/
{cluster_id}
/
vms
List standalone VMs
import requests
url = "https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/vms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/vms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/vms \
--header 'Authorization: Bearer <token>'{
"vms": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"server_name": "<string>",
"instance_type": "<string>",
"location": "<string>",
"public_ip": true,
"state": "<string>",
"public_address": "<string>",
"private_address": "<string>",
"provider_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}